## pmix 4.0.0

=== test/test_v2/Makefile ===
INSTALLDIR = $(HOME)/pmix-install
INCLUDES = -I. -I../../test -I../../include -I../.. -I../../src/include
vpath %.h .:../../test:../../include:../..:../../src/include
LDIR = $(INSTALLDIR)/lib

CC = gcc
CFLAGS = $(INCLUDES) -g -Wfatal-errors #-Wall -Wextra -Wpedantic -Wconversion -Wshadow
LDFLAGS = -Wl,-rpath,$(LDIR)
LIBS =-lpmix -lpthread -levent

# Executables
EXE = pmix_test test_init_fin test_helloworld test_get_basic

# List of all .c source files.
PCFILES = pmix_test.c test_common.c cli_stages.c test_server.c server_callbacks.c base64_enc_dec.c
TC1FILES = test_init_fin.c test_common.c base64_enc_dec.c
TC2FILES = test_helloworld.c test_common.c base64_enc_dec.c
TC3FILES = test_get_basic.c test_common.c base64_enc_dec.c
TCFILES = $(TC1FILES) $(TC2FILES) $(TC3FILES)
CFILES = $(PCFILES) $(TCFILES)

OBJ = $(CFILES:%.c=%.o)
POBJ = $(PCFILES:%.c=%.o)
T1OBJ = $(TC1FILES:%.c=%.o)
T2OBJ = $(TC2FILES:%.c=%.o)
T3OBJ = $(TC3FILES:%.c=%.o)

all: pmix_test test_init_fin test_helloworld test_get_basic
.PHONY: all

clean:
	rm -f $(EXE) $(OBJ) $(DEP)
.PHONY: clean

pmix_test: $(POBJ) 
	$(CC) -o $@ $^ $(CFLAGS) -L$(LDIR) $(LDFLAGS) $(LIBS)

test_init_fin: $(T1OBJ)
	$(CC) -o $@ $^ $(CFLAGS) -L$(LDIR) $(LDFLAGS) $(LIBS)
test_helloworld: $(T2OBJ)
	$(CC) -o $@ $^ $(CFLAGS) -L$(LDIR) $(LDFLAGS) $(LIBS)
test_get_basic: $(T3OBJ)
	$(CC) -o $@ $^ $(CFLAGS) -L$(LDIR) $(LDFLAGS) $(LIBS)

%.o : %.c
	$(CC) -c -o $@ $< $(CFLAGS)

## pmix 2.1.1~rc1

=== debian/changelog ===
pmix (2.1.1~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Feb 2018 11:43:02 +0000

pmix (2.1.0-2) unstable; urgency=medium

  * Build static libs -fPIC. Needed for openmpi

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Feb 2018 13:44:59 +0000

pmix (2.1.0-1) unstable; urgency=medium

  * New upstream release
  * Point VCS -Git, browser in d/control to salsa.debian.org
  * Correct copy-paste error in description. Closes: #882846
  * Build static libs -fPIC

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Feb 2018 10:48:05 +0000

pmix (2.1.0~rc1-3) unstable; urgency=medium

  * Standards-Version: 4.1.3. No changes required
  * Now use debhelper 11
  * Set Vcs-Git in debian/control
  * Put components in /usr/lib/$(triplet)/pmix where they will be found,
    not a subdir. See pmix issue 628
  * flex now needed to build

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Jan 2018 21:22:16 +0000

pmix (2.1.0~rc1-2) unstable; urgency=medium

  * Move pmix to /usr/lib/$multiarch/pmix/{lib,include} and split libpmi{1,2}
    libraries to co-exist with SLURM, MPICH implementations.
    Closes: # 882033
  * FTBFS on Hurd: add patch for MAXPATHLEN. Closes: #881952

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Nov 2017 16:25:16 +0000

pmix (2.1.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.1
  * Set libpmix-dev as Multi-Arch: same
  * Add patch for FTBFS on Hurd: #811952
  * Add watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Nov 2017 11:16:43 +0000

pmix (2.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #809345)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Sep 2017 15:38:37 +0100

=== debian/control ===
Source: pmix
Section: net
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 11), 
 flex,
 libpsm-infinipath1-dev [amd64 i386],
 zlib1g-dev,
 libevent-dev,
 libltdl-dev,
 libmunge-dev,
 pandoc
Standards-Version: 4.1.3
Homepage: https://github.com/pmix/pmix
Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
Vcs-Git: https://salsa.debian.org:/science-team/pmix.git

Package: libpmix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2 (= ${binary:Version}),
Description: Development files for the PMI Exascale library  
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. PMIx aims to retain transparent compatibility with the existing
 PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
 the Instant On initiative for rapid startup of applications at exascale
 and beyond.
 
Package: libpmi-pmix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Breaks: libpmix-dev (<< 2.1.0~rc1-2)
Replaces: libpmix-dev (<< 2.1.0~rc1-2)
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libpmi1-pmix (= ${binary:Version}), libpmi2-pmix (= ${binary:Version})
Description: Development files for the PMI library (OpenMPI )
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. PMIx aims to retain transparent compatibility with the existing
 PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
 the Instant On initiative for rapid startup of applications at exascale
 and beyond.

Package: libpmi1-pmix
Section: libs
Architecture: any
Multi-Arch: same
Breaks: libpmix2 (<< 2.1.0~rc1-2), libpmi-pmix
Replaces: libpmix2 (<< 2.1.0~rc1-2), libpmi-pmix
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
Description: OpenMPI implementation of the PMI v1 library
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 API, v1. 

Package: libpmi2-pmix
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
Breaks: libpmix2 (<< 2.1.0~rc1-2)
Replaces: libpmix2 (<< 2.1.0~rc1-2)
Description: OpenMPI implementation of the PMI v2 library
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 API, v2. 

Package: libpmix2
Section: libs
Architecture: any
Multi-Arch: same
Breaks: libpmix-dev (<< 2.1.0~rc1-2)
Replaces: libpmix-dev (<< 2.1.0~rc1-2)
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
Description: Process Management Interface (Exascale) library
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. PMIx aims to retain transparent compatibility with the existing
 PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
 the Instant On initiative for rapid startup of applications at exascale
 and beyond.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= libpmix2.links libpmix-dev.links libpmix-dev.install \
		libpmi1-pmix.links libpmi2-pmix.links libpmi-pmix-dev.links \
		libpmi1-pmix.install libpmi2-pmix.install \
		libpmi-pmix-dev.install libpmix-dev.install \
		libpmix2.install \
		pmix-mca-params.conf
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC

PSM_ARCH:= amd64 i386
ifneq (,$(findstring $(DEB_HOST_ARCH),$(PSM_ARCH)))
	PSM:= --with-psm
endif

 
%:
	dh $@ --parallel 

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	rm -rf debian/static-build debian/shared-build

override_dh_autoreconf:
	./autogen.pl --force
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	dh_auto_configure --builddirectory=debian/static-build -- $(PSM) \
		--enable-static --sysconfdir=$(LIBDIR)/pmix/share
	dh_auto_configure --builddirectory=debian/shared-build -- $(PSM) \
		--enable-shared --sysconfdir=$(LIBDIR)/pmix/share

override_dh_auto_build:
	dh_auto_build  --builddirectory=debian/static-build
	dh_auto_build  --builddirectory=debian/shared-build

override_dh_auto_install:
	dh_auto_install --builddirectory=debian/static-build
	dh_auto_install --builddirectory=debian/shared-build
	find debian/tmp -name '*.la' -delete

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/pmix/pmix/tags .*/v?(\d\S+)\.tar\.gz

## pmix 3.0.1

=== debian/changelog ===
pmix (3.0.1-2) unstable; urgency=medium

  * Add Breaks / Replaces on libopenmpi3 ( << 3.1.2) as it ships a pmix.so
    we ship. Closes: #907248

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Aug 2018 10:35:18 +0100

pmix (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Aug 2018 08:44:22 +0100

pmix (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.5
  * Bup lib versions 2.1.12 -> 2.2.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jul 2018 14:34:25 +0100

pmix (2.1.2~rc1-1) unstable; urgency=medium

  * New upstream release
  * Bump library versions 2.1.11 -> 2.1.12

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Jun 2018 08:31:23 +0100

pmix (2.1.2~git.20180629-1) experimental; urgency=medium

  * Upstream snapshot. Testing arm/ppc atomics fixes

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Jun 2018 13:43:44 +0100

pmix (2.1.1-2) unstable; urgency=medium

  * Drop pkg-openmpi-maintainers as Uploaders. (Uses alioth, deprecated)
  * Fix watch file to cope with rc versions

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 May 2018 10:00:37 +0100

pmix (2.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 May 2018 06:56:15 +0100

pmix (2.1.1~rc1-4) unstable; urgency=medium

  * Drop pandoc dependency on all archs; don't ship man pages

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Apr 2018 10:02:26 +0100

pmix (2.1.1~rc1-3) unstable; urgency=medium

  * Drop dependency on pandoc on some archs to allow build
  * Disable munge support on hurd-i386

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Apr 2018 09:23:49 +0100

pmix (2.1.1~rc1-2) unstable; urgency=medium

  * Standards-Version: 4.1.4
  * Fix broken symlinks. Closes: #895772
  * Drop obsolete --parallel argument to dh

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Apr 2018 09:23:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Uploaders: Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 11), 
  flex,
  libpsm-infinipath1-dev [amd64 i386],
  zlib1g-dev,
  libevent-dev,
  libltdl-dev,
- libmunge-dev,
- pandoc
-Standards-Version: 4.1.3
+ libmunge-dev [ !hurd-i386] 
+Standards-Version: 4.2.0
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org:/science-team/pmix.git
@@ -69,8 +67,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Breaks: libpmix-dev (<< 2.1.0~rc1-2)
-Replaces: libpmix-dev (<< 2.1.0~rc1-2)
+Breaks: libpmix-dev (<< 2.1.0~rc1-2), libopenmpi3 (<< 3.1.2)
+Replaces: libpmix-dev (<< 2.1.0~rc1-2), libopenmpi3 (<< 3.1.2)
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
 Description: Process Management Interface (Exascale) library
  This is the OpenMPI implementation of the Process Management Interface (PMI)

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
  
 %:
-	dh $@ --parallel 
+	dh $@ 
 
 override_dh_auto_clean:
 	dh_auto_clean

## pmix 3.1.2

=== debian/changelog ===
pmix (3.1.2-3) unstable; urgency=medium

  * DEB_HOST_ARCH -> DEB_TARGET_ARCH in d/rules for cross-build correctness.
  * Fix broken symlink libmca_common_dstore.so. Closes: #924195

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Mar 2019 10:05:49 +0000

pmix (3.1.2-2) unstable; urgency=medium

  * Bump minor library version libpmix.so.2.2.22. Closes: #920822

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 30 Jan 2019 09:17:18 +0000

pmix (3.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jan 2019 17:17:30 +0000

pmix (3.1.1-1) unstable; urgency=medium

  * New upstream release
    Minor version now libpmix.so.2.2.21

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Jan 2019 12:33:09 +0000

pmix (3.1.0~rc4-1) unstable; urgency=medium

  * New upstream release.
    Patches merged upstream:
    - hurd-mpi-init.patch
    - 32-bit.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Jan 2019 09:00:36 +0000

pmix (3.1.0~rc2-3) unstable; urgency=medium

  * Fix for 32-bit system regression. Closes: #918157

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Jan 2019 19:09:48 +0000

pmix (3.1.0~rc2-2) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * Fix for handle setsockopt(SO_RCVTIMEO) not being supported.
    Thanks to Samuel Thibault. Closes: #918031

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Jan 2019 10:09:06 +0000

pmix (3.1.0~rc2-1) unstable; urgency=medium

  * New upstream release
  * libmca_common_dstore.so now  version 1.0.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Dec 2018 07:36:43 +0000

pmix (3.1.0~rc1-1) experimental; urgency=medium

  * New Upstream release
  * libpmix.so now at 2.2.20
  * Also ship libmca_common_dstore.so.0.0.0 in libpmix2
  * Drop hard-coded xz-compression for deb tarball

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 24 Oct 2018 10:46:55 +0100

pmix (3.0.2-2) unstable; urgency=medium

  * Fix broken symlink (lib version change). Closes: #910158 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Oct 2018 15:22:05 +0100

pmix (3.0.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1

 -- Alastair McKinstryA <mckinstry@debian.org>  Fri, 21 Sep 2018 09:49:01 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libevent-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-i386] 
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org:/science-team/pmix.git

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,9 @@
 		pmix-mca-params.conf
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC
 
-PSM_ARCH:= amd64 i386
-ifneq (,$(findstring $(DEB_HOST_ARCH),$(PSM_ARCH)))
-	PSM:= --with-psm
-endif
+PSM_ARCH= amd64 i386
+PSM:= $(if $(filter $(DEB_TARGET_ARCH),$(PSM_ARCH)), --with-psm, )
 
- 
 %:
 	dh $@

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/, filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/" \
  https://github.com/pmix/pmix/tags .*/v?(\d\S+)\.tar\.gz

## pmix 3.1.4

=== debian/changelog ===
pmix (3.1.4-1) unstable; urgency=medium

  * New upstream release
  * Update symlinks: libmca_common_dstore.so now 1.0.1
     libpmi.so now 1.0.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Aug 2019 16:09:57 +0100

pmix (3.1.4~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Aug 2019 15:07:46 +0100

pmix (3.1.4~rc1-1) unstable; urgency=medium

  * New upstream release
  * Update symlinks; libpmix now 2.2.24
  * Standards-Version: 4.4.0
  * Use debhelper-compat (=12)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jul 2019 10:09:03 +0100

pmix (3.1.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Jul 2019 10:38:19 +0100

pmix (3.1.3~rc3-1) unstable; urgency=medium

  * New release
  * Now use debhelper 12

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Jun 2019 14:14:25 +0100

pmix (3.1.3~rc1-1) unstable; urgency=medium

  * New upstream release
  * Update symlinks; libpmix.so now .2.2.23

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Apr 2019 10:11:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 11), 
+Build-Depends: debhelper-compat (= 12), 
  flex,
  libpsm-infinipath1-dev [amd64 i386],
  zlib1g-dev,
  libevent-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-i386] 
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org:/science-team/pmix.git

## pmix 3.1.5

=== debian/changelog ===
pmix (3.1.5-1) unstable; urgency=medium

  * New upstream release
  * Update symlinks: libmca_common_dstore.so now 1.0.2
                     libpmix.so now 2.2.25
  * Standards-Version: 4.5.0
  * Build with psm2 support on amd64

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Feb 2020 09:26:17 +0000

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Build-Depends: debhelper-compat (= 12), 
  flex,
  libpsm-infinipath1-dev [amd64 i386],
+ libpsm2-dev [amd64],
  zlib1g-dev,
  libevent-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-i386] 
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org:/science-team/pmix.git

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,8 @@
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC
 
 PSM_ARCH= amd64 i386
-PSM:= $(if $(filter $(DEB_TARGET_ARCH),$(PSM_ARCH)), --with-psm, )
+PSM2_ARCH= amd64 
+PSM2:= $(if $(filter $(DEB_TARGET_ARCH),$(PSM_ARCH2)), --with-psm2, )
 
 %:
 	dh $@ 
@@ -31,9 +32,9 @@
 	for f in ${AUTOGENERATED} ; do \
                 sed -e 's%@TRIPLET@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                 done
-	dh_auto_configure --builddirectory=debian/static-build -- $(PSM) \
+	dh_auto_configure --builddirectory=debian/static-build -- $(PSM2) \
 		--enable-static --sysconfdir=$(LIBDIR)/pmix/share
-	dh_auto_configure --builddirectory=debian/shared-build -- $(PSM) \
+	dh_auto_configure --builddirectory=debian/shared-build -- $(PSM2) \
 		--enable-shared --sysconfdir=$(LIBDIR)/pmix/share
 
 override_dh_auto_build:

## pmix 4.0.0

=== debian/changelog ===
pmix (4.0.0-4.1+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Do not follow links when doing "chown" (CVE-2023-41915) (Closes: #1051729)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 28 Oct 2023 20:49:38 +0200

pmix (4.0.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Nobuhiro Iwamatsu ]
  * Add libevent-dev, libhwloc-dev and zlib1g-dev to libpmix-dev's Depends
    (Closes: #989289)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Aug 2021 11:20:07 +0200

pmix (4.0.0-4) unstable; urgency=medium

  * Add Breaks: libopenmpi3 (<< 4.1.0-3) to libpmix2 to get necessary
    config file when using openmpi. Closes: #978066

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jan 2021 17:30:05 +0000

pmix (4.0.0-3) unstable; urgency=medium

  * Regression: ensure pmix-mca-params.conf is installed in share directory
    to provide correct mca_base_component_path. Closes: #978066, #979744

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Jan 2021 15:11:53 +0000

pmix (4.0.0-2) unstable; urgency=medium

  * Build-Depend on Cython, python3-distuils
  * python3.patch: change refs from python -> python3
  * Close bugs fixed in exp release. Closes: #920906, #978066
  * Revert build to include both shared, static builds

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jan 2021 10:15:47 +0000

pmix (4.0.0-1) experimental; urgency=medium

  * New upstream release
  * Patch merged upstream:
    - python-bindings.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Jan 2021 08:56:03 +0000

pmix (4.0.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * Add json, python binding support
    - Needs python-bindings.patch
  * Be explicit in optional dependencies
  * Fix pmix share install path, for help messages
  * Add build-dep on pandoc for man pages

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Dec 2020 16:40:30 +0000

pmix (4.0.0~rc1-2) unstable; urgency=medium

  * Update d/watch to openmpix github site
  * Fix broken symlinks (libpmix2.links regression). Closes: #977873

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Dec 2020 13:11:09 +0000

pmix (4.0.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Drop libpmi1, libpmi2 packages
  * Build-depend on python3

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Dec 2020 08:01:53 +0000

pmix (3.2.2~rc1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 05 Dec 2020 15:21:44 +0000

pmix (3.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Nov 2020 09:38:45 +0000

pmix (3.2.1~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Nov 2020 14:41:28 +0000

pmix (3.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Oct 2020 15:16:28 +0000

pmix (3.2.0~rc1-6) unstable; urgency=medium

  * Update Breaks/Replaces. Closes: #972442

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Oct 2020 12:59:48 +0100

pmix (3.2.0~rc1-5) unstable; urgency=medium

  * Add sh4, m69k to the atomic primitives list. Closes: #970314.
  * Link libmca_common_dstore.so against libpmix. Closes: #934109
  * Change VCS-Git in d/control to point to debian/latest branch
  * Move libpmix.so to $libdir/pmix2/lib in libpmix2 ; accessed directly
    via slurmd, so needed at runtime, not just compile time
  * Add Breaks/Replaces to cope with above change

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Oct 2020 11:48:48 +0100

pmix (3.2.0~rc1-4) unstable; urgency=medium

  * Drop pandoc, use disable-man-pages until it works ok. Closes: #970205
  * Close openmpi bug fixde by -3 pmix release. Closes: #970225

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Sep 2020 15:04:38 +0100

pmix (3.2.0~rc1-3) unstable; urgency=medium

  * Fix froim Adrian Bunk for atomic primitives on armel, mipsel
    Closes: #970194

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Sep 2020 11:59:39 +0100

pmix (3.2.0~rc1-2) unstable; urgency=medium

  * Fix missing headers in patch
  * Drop erroneous break/relaces 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Sep 2020 15:30:05 +0100

pmix (3.2.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * Add libmix-bin package for tools
  * libpmix2 : the SO version has REGRESSED from libpmix.so.3.2.0 to 
    libpmix.2.2.30, so revert
  * Merge $(LIBDIR)/pmix files into $LIBDIR)/pmix2
  * Move to debhelper 13; use subst. vars rather than autogenerated dh files
  * Add d/gpb.conf file; use DEP-14 branch names
  * Include pandoc as a build-dependency

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Sep 2020 08:31:36 +0100

=== debian/control ===
Source: pmix
Section: net
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
 dh-sequence-python3,
 flex,
 python3-all-dev,
 cython3,
 python3-distutils,
 pandoc,
 libpsm-infinipath1-dev [amd64 i386],
 libpsm2-dev [amd64],
 libhwloc-dev,
 zlib1g-dev,
 libevent-dev,
 libjansson-dev,
 libltdl-dev,
 libmunge-dev [ !hurd-i386]
Standards-Version: 4.5.1
Homepage: https://github.com/pmix/pmix
Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
Vcs-Git: https://salsa.debian.org:/science-team/pmix.git -b debian/latest

Package: libpmix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2 (= ${binary:Version}), libevent-dev, libhwloc-dev, zlib1g-dev
Description: Development files for the PMI Exascale library  
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. PMIx aims to retain transparent compatibility with the existing
 PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
 the Instant On initiative for rapid startup of applications at exascale
 and beyond.
 
Package: libpmix2
Section: libs
Architecture: any
Multi-Arch: same
Breaks: libpmix-dev (<< 3.2.0~rc1-2), libopenmpi3 (<< 4.1.0-3)
Replaces: libpmix-dev (<< 3.2.0~rc1-2), libopenmpi3 (<< 4.1.0-3)
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
Description: Process Management Interface (Exascale) library
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. PMIx aims to retain transparent compatibility with the existing
 PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
 the Instant On initiative for rapid startup of applications at exascale
 and beyond.


Package: libpmix-bin
Depends:  ${misc:Depends}, ${shlibs:Depends}, libpmix2 (= ${binary:Version})
Architecture: any
Multi-Arch: foreign
Recommends: libpmix-dev
Description: Process Management Interface (Exascale) library - tools
 PMIX is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. This package provides utilities for working with pmix.

Package: python3-pmix
Depends: python3, ${misc:Depends}, ${shlibs:Depends}, libpmix2 (= ${binary:Version})
Architecture: any
Multi-Arch: foreign
Recommends: libpmix-dev
Description: Process Management Interface (Exascale) library - Python wrapper
 PMIX is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. This package provides Python3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= pmix-mca-params.conf
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC

PSM_ARCH= amd64 i386
PSM2_ARCH= amd64 
PSM2:= $(if $(filter $(DEB_TARGET_ARCH),$(PSM2_ARCH)), --with-psm2, )

ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel sh4 m68k ))
  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR):$(LD_LIBRARY_PATH)

%:
	dh $@ 

BUILD_FLAGS:= \
	$(PSM2) \
	--sysconfdir=$(LIBDIR)/pmix2/share \
	--datarootdir=$(LIBDIR)/pmix2/share \
	--with-zlib=/usr \
	--with-jansson=/usr \
	--with-hwloc=/usr \
	--enable-python-bindings \
	#--disable-man-pages

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	rm -rf debian/static-build debian/shared-build

override_dh_autoreconf:
	./autogen.pl --force
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done

override_dh_auto_configure:
	# Hack to fix quilt issue in 4.0.0
	patch -p1 < debian/patches/python3.patch
	patch -p1 < debian/patches/Do-not-follow-links-when-doing-chown.patch
	dh_auto_configure --builddirectory=debian/static-build -- $(BUILD_FLAGS) \
		--enable-static 
	dh_auto_configure --builddirectory=debian/shared-build -- $(BUILD_FLAGS) \
		--enable-shared

override_dh_auto_build:
	# Hack - build system doesn't work well with builddirs
	cp include/*.h debian/static-build/include
	cp include/*.h debian/shared-build/include
	cp debian/static-build/include/pmix_version.h include
	cp bindings/python/pmix.* debian/static-build/bindings/python
	cp bindings/python/pmix.* debian/shared-build/bindings/python
	dh_auto_build  --builddirectory=debian/static-build
	dh_auto_build  --builddirectory=debian/shared-build

override_dh_auto_install:
	dh_auto_install --builddirectory=debian/static-build
	dh_auto_install --builddirectory=debian/shared-build
	find debian/tmp -name '*.la' -delete

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/, filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/" \
  https://github.com/openpmix/openpmix/tags .*/v?(\d\S+)\.tar\.gz

## pmix 4.1.0

=== debian/changelog ===
pmix (4.1.0-3ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't build manpages on i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Aug 2021 13:41:36 +0200

pmix (4.1.0-3) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Standards-Version: 4.6.0
  * Drop old hurd.patch (empty)

  [ Gianfranco Costamanga ]
  * Update breaks/replaces to fix uninstallability (Closes: #991549)
  *  Drop cython b-d
  * Move to cython3

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Aug 2021 15:19:07 +0100

pmix (4.1.0-2ubuntu2) impish; urgency=medium

  * Update breaks/replaces to fix uninstallability (Closes: #991549)
  * Drop cython b-d
  * Move to cython3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Aug 2021 09:57:28 +0200

pmix (4.1.0-2ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build manpages on i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Aug 2021 22:21:10 +0200

pmix (4.1.0-2) unstable; urgency=medium

  * Push to unstable
  * Build-dep on cython

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Aug 2021 14:47:25 +0100

pmix (4.1.0-1) experimental; urgency=medium

  * New upstream release
  * Include reproducibility patch from Vagrant Cascadian. Closes: #990253
  * Add libevent-dev, libhwloc-dev and zlib1g-dev to libpmix-dev's Depends

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Aug 2021 10:24:33 +0100

pmix (4.1.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * Use chrpath to remove rpaths

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 10 Aug 2021 10:35:57 +0100

pmix (4.1.0~rc1-1) experimental; urgency=medium

  * New upstream release
  * Update d/watch to handle rc versions better.
  * Fix prefix to ensure locations correct for pmix.pc
  * Drop python3.patch; now upstream
  * Individual DSOs (eg dstore) now merged in libpmix.
  * Add python3-pmix.install over pyinstall

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Jul 2021 09:57:50 +0100

pmix (4.0.0-4.1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build manpages on i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Aug 2021 21:34:12 +0200

pmix (4.0.0-4ubuntu1) hirsute; urgency=medium

  * Don't build manpages on i386.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Jan 2021 21:23:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
  dh-sequence-python3,
+ chrpath,
  flex,
  python3-all-dev,
  cython3,
  python3-distutils,
- pandoc,
+ pandoc [!i386],
  libpsm-infinipath1-dev [amd64 i386],
  libpsm2-dev [amd64],
  libhwloc-dev,
@@ -17,7 +18,7 @@
  libjansson-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-i386]
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org:/science-team/pmix.git -b debian/latest
@@ -25,8 +26,10 @@
 Package: libpmix-dev
 Section: libdevel
 Architecture: any
+Breaks: libpmix2 (<< 4.1.0~rc1-1)
+Replaces: libpmix2 (<< 4.1.0~rc1-1)
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2 (= ${binary:Version}), libevent-dev, libhwloc-dev, zlib1g-dev
+Depends: ${shlibs:Drepends}, ${misc:Depends}, libpmix2 (= ${binary:Version}), libevent-dev, libhwloc-dev, zlib1g-dev
 Description: Development files for the PMI Exascale library  
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -20,18 +21,25 @@
 
 export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR):$(LD_LIBRARY_PATH)
 
+# Do not embed build username or build system hostname, see README
+export HOSTNAME=hostname
+export USER=username
+
 %:
 	dh $@ 
 
 BUILD_FLAGS:= \
 	$(PSM2) \
+	--prefix=$(LIBDIR)/pmix2 \
+	--libdir=$(LIBDIR)/pmix2/lib \
+	--includedir=$(LIBDIR)/pmix2/include \
 	--sysconfdir=$(LIBDIR)/pmix2/share \
 	--datarootdir=$(LIBDIR)/pmix2/share \
 	--with-zlib=/usr \
 	--with-jansson=/usr \
 	--with-hwloc=/usr \
 	--enable-python-bindings \
-	#--disable-man-pages
+	$(if $(filter $(DEB_HOST_ARCH), i386),--disable-man-pages)
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -39,15 +47,13 @@
 	rm -rf debian/static-build debian/shared-build
 
 override_dh_autoreconf:
+	patch -p1 < debian/patches/cython.patch
 	./autogen.pl --force
 	for f in ${AUTOGENERATED} ; do \
                 sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                 done
 
 override_dh_auto_configure:
-	# Hack to fix quilt issue in 4.0.0
-	patch -p1 < debian/patches/python3.patch
-	patch -p1 < debian/patches/Do-not-follow-links-when-doing-chown.patch
 	dh_auto_configure --builddirectory=debian/static-build -- $(BUILD_FLAGS) \
 		--enable-static 
 	dh_auto_configure --builddirectory=debian/shared-build -- $(BUILD_FLAGS) \
@@ -67,4 +73,5 @@
 	dh_auto_install --builddirectory=debian/static-build
 	dh_auto_install --builddirectory=debian/shared-build
 	find debian/tmp -name '*.la' -delete
+	chrpath -d debian/tmp/$(LIBDIR)/pmix2/bin/*

## pmix 4.1.2

=== debian/changelog ===
pmix (4.1.2-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build manpages on i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Feb 2022 10:22:32 +0100

pmix (4.1.2-2) unstable; urgency=medium

  * FIx link versions 2.5.1 -> 2.5.2. Closes: #1005789, #1005754

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Feb 2022 09:31:30 +0000

pmix (4.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Feb 2022 10:05:30 +0000

pmix (4.1.1~rc6-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build manpages on i386.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jan 2022 21:34:15 +0100

pmix (4.1.1~rc6-1) unstable; urgency=medium

  * New upstream release
  * Enable ucx on amd64, arm64x, ppc64el archs
  * Explicitly list libdir for hwloc, zlib
  * Enable curl support for jansson
  * Patch for ucx configure error

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Dec 2021 11:29:14 +0000

pmix (4.1.1~rc5-1) unstable; urgency=medium

  * New upstream release
  * Ensure no runpath used in plugins; should be on main path

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Nov 2021 09:24:27 +0000

pmix (4.1.1~rc4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Oct 2021 09:24:22 +0100

pmix (4.1.1~rc2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Sep 2021 14:26:00 +0100

pmix (4.1.1~rc1-1) unstable; urgency=medium

  * New upstream release
    - re-enable cython, hurd patches
  * Build-dep on bison, flex, libfl-dev
  * Fix link path to LIBDIR/pmix/lib
  * Update symlinks to libpmix.so.2.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Sep 2021 19:06:47 +0100

pmix (4.1.0-3ubuntu2) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 21:59:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,16 @@
  dh-sequence-python3,
  chrpath,
  flex,
+ bison,
+ libfl-dev,
  python3-all-dev,
  cython3,
  python3-distutils,
  pandoc [!i386],
  libpsm-infinipath1-dev [amd64 i386],
+ libucx-dev [amd64 arm64 ppc64el],
  libpsm2-dev [amd64],
+ libcurl4-gnutls-dev | libcurl-dev,
  libhwloc-dev,
  zlib1g-dev,
  libevent-dev,

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,17 @@
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC
 
 PSM_ARCH= amd64 i386
+UCX_ARCH= amd64 arm64 ppc64el
 PSM2_ARCH= amd64 
 PSM2:= $(if $(filter $(DEB_TARGET_ARCH),$(PSM2_ARCH)), --with-psm2, )
+UCX:=  $(if $(filter $(DEB_TARGET_ARCH),$(UCX_ARCH)), --with-ucx=/usr, )
+
 
 ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel sh4 m68k ))
   export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
-export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR):$(LD_LIBRARY_PATH)
+export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR)/pmix2/lib:$(LD_LIBRARY_PATH)
 
 # Do not embed build username or build system hostname, see README
 export HOSTNAME=hostname
@@ -30,14 +33,18 @@
 
 BUILD_FLAGS:= \
 	$(PSM2) \
+	$(UCX) \
 	--prefix=$(LIBDIR)/pmix2 \
 	--libdir=$(LIBDIR)/pmix2/lib \
 	--includedir=$(LIBDIR)/pmix2/include \
 	--sysconfdir=$(LIBDIR)/pmix2/share \
 	--datarootdir=$(LIBDIR)/pmix2/share \
+	--with-curl \
 	--with-zlib=/usr \
+	--with-zlib-libdir=$(LIBDIR) \
 	--with-jansson=/usr \
 	--with-hwloc=/usr \
+	--with-hwloc-libdir=$(LIBDIR) \
 	--enable-python-bindings \
 	$(if $(filter $(DEB_HOST_ARCH), i386),--disable-man-pages)
 
@@ -47,7 +54,6 @@
 	rm -rf debian/static-build debian/shared-build
 
 override_dh_autoreconf:
-	patch -p1 < debian/patches/cython.patch
 	./autogen.pl --force
 	for f in ${AUTOGENERATED} ; do \
                 sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
@@ -74,4 +80,5 @@
 	dh_auto_install --builddirectory=debian/shared-build
 	find debian/tmp -name '*.la' -delete
 	chrpath -d debian/tmp/$(LIBDIR)/pmix2/bin/*
+	chrpath -d debian/tmp/$(LIBDIR)/pmix2/lib/pmix/*.so

## pmix 4.2.2

=== debian/changelog ===
pmix (4.2.2-1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Do not follow links when doing "chown" (CVE-2023-41915) (Closes: #1051729)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 28 Oct 2023 17:04:42 +0200

pmix (4.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Nov 2022 15:39:49 +0000

pmix (4.2.2~rc2-1) experimental; urgency=medium

  * New upstream release
  * Update the links to soversion 2.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Oct 2022 07:25:09 +0100

pmix (4.2.2~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Oct 2022 12:44:07 +0100

pmix (4.2.1-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Oct 2022 12:39:13 +0100

pmix (4.2.1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Sep 2022 20:21:21 +0100

pmix (4.2.1~rc1-1) experimental; urgency=medium

  * New upstream release
  * Upstream no longer build or ship manpages
  * Remove obsolete ucx-configure.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Sep 2022 15:32:00 +0100

pmix (4.2.0-2) unstable; urgency=medium

  * Ack old bugs. Closes: #1017356, #1017734

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Aug 2022 15:03:08 +0100

pmix (4.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Aug 2022 08:36:03 +0100

pmix (4.2.0~rc2-2) unstable; urgency=medium

  * Reduce debug info to fix FTBFS on mipsel (Adrian Bunk), Closes: #1017730
  * Drop unused B-D on pandoc. Closes: #1017730
  * Move man pages from libpmix2 arch-dep directory to usual -dev place
  * Ack fixed bug. Closes: #1017356

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Aug 2022 14:28:24 +0100

pmix (4.2.0~rc2-1) unstable; urgency=medium

  * New upstream release. Closes: #1017107, #1017356

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Aug 2022 14:25:10 +0100

pmix (4.2.0~rc1-2) unstable; urgency=medium

  * Fix broken symlink on lib; version changed. Closes: #1017017

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Aug 2022 08:42:23 +0100

pmix (4.2.0~rc1-1) unstable; urgency=medium

  * New upstream release
  * mca-fix.patch: FTBFS due to missing header include
  * d/rules: with-jansson now points to LIBDIR due to multiarch fix
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 12 Aug 2022 07:04:07 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  python3-all-dev,
  cython3,
  python3-distutils,
- pandoc [!i386],
  libpsm-infinipath1-dev [amd64 i386],
  libucx-dev [amd64 arm64 ppc64el],
  libpsm2-dev [amd64],
@@ -22,7 +21,7 @@
  libjansson-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-i386]
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org:/science-team/pmix.git -b debian/latest

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,10 @@
   export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
 endif
 
+ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
+  export DEB_CFLAGS_MAINT_APPEND += -g1
+endif
+
 export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR)/pmix2/lib:$(LD_LIBRARY_PATH)
 
 # Do not embed build username or build system hostname, see README
@@ -42,11 +46,10 @@
 	--with-curl \
 	--with-zlib=/usr \
 	--with-zlib-libdir=$(LIBDIR) \
-	--with-jansson=/usr \
+	--with-jansson-libdir=$(LIBDIR) \
 	--with-hwloc=/usr \
 	--with-hwloc-libdir=$(LIBDIR) \
-	--enable-python-bindings \
-	$(if $(filter $(DEB_HOST_ARCH), i386),--disable-man-pages)
+	--enable-python-bindings 
 
 override_dh_auto_clean:
 	dh_auto_clean

## pmix 4.2.9

=== debian/changelog ===
pmix (4.2.9-1) UNRELEASED; urgency=medium

  * Initial packaged release for pmix 4.2.9

 -- Aditi Gaur <aditigaur@microsoft.com>  Fri, 08 Mar 2024 21:32:34 +0000

=== debian/control ===
Source: pmix
Section: unknown
Priority: optional
Maintainer: Aditi Gaur <aditigaur@microsoft.com>
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/openpmix/openpmix
Build-Depends:
 debhelper-compat (= 12),
 autotools-dev,
 dh-sequence-python3,
 chrpath,
 flex,
 bison,
 libfl-dev,
 python3-all-dev,
 cython3,
 python3-distutils,
 pandoc [!i386],
 libpsm-infinipath1-dev [amd64 i386],
 libpsm2-dev [amd64],
 libcurl4-gnutls-dev | libcurl-dev,
 libhwloc-dev,
 zlib1g-dev,
 libevent-dev,
 libjansson-dev,
 libltdl-dev

Package: pmix
Conflicts: openmpi
Replaces: libpmix2, libpmix-dev
Architecture: any
Depends: zlib1g-dev, ${shlibs:Depends}, ${misc:Depends}
Description: Development files for the PMI Exascale library  
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. PMIx aims to retain transparent compatibility with the existing
 PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
 the Instant On initiative for rapid startup of applications at exascale
 and beyond.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/opt/pmix/$(shell dpkg-parsechangelog --show-field Version | cut -d'-' -f1) --libdir=/opt/pmix/$(shell dpkg-parsechangelog --show-field Version | cut -d'-' -f1)/lib
# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
